Isolate the mail server
Closed, ResolvedPublic

Description

We need to move the mailing relay off of www, before we move the wiki to a new server and can complete the Rackspace migration. We'll have to figure something out here...

Related Objects

austin created this task.Oct 23 2014, 9:36 PM
austin assigned this task to johnw.
austin triaged this task as "Unbreak Now!" priority.
austin added a subscriber: austin.
austin changed the visibility from "All Users" to "Public (No Login Required)".Oct 25 2014, 3:12 AM
austin changed the edit policy from "All Users" to "Haskell.org Infrastructure (Project)".

12:23 AM <erikd> There's a problem with the dns When sending email to my server it announces itself as <haskell.org>, but the name haskell.org does not resolve to that IP address.
12:23 AM <sclv> right we have a cdn in the way
12:24 AM <sclv> does that screw up mail delivery?
12:25 AM <sclv> maybe we need to set up mail from a mail.haskell.org not behind the cdn or something
12:25 AM <erikd> sclv: yes
12:25 AM <erikd> my mail server insists on working dns and reverse lookup

This is basically done now, since we instead moved the webserver where it was and moved the original box to the new mail.haskell.org domain.

austin closed this task as "Resolved".Feb 16 2015, 11:06 AM